Index: distrib/sets/lists/base/md.alpha
===================================================================
RCS file: /cvs/src/distrib/sets/lists/base/md.alpha,v
diff -u -p -r1.1174 md.alpha
--- distrib/sets/lists/base/md.alpha	16 Jul 2025 16:02:36 -0000	1.1174
+++ distrib/sets/lists/base/md.alpha	4 Sep 2025 00:34:03 -0000
@@ -23,7 +23,7 @@
 ./usr/libdata/perl5/alpha-openbsd/CORE/XSUB.h
 ./usr/libdata/perl5/alpha-openbsd/CORE/av.h
 ./usr/libdata/perl5/alpha-openbsd/CORE/bitcount.h
-./usr/libdata/perl5/alpha-openbsd/CORE/charclass_invlists.h
+./usr/libdata/perl5/alpha-openbsd/CORE/charclass_invlists.inc
 ./usr/libdata/perl5/alpha-openbsd/CORE/config.h
 ./usr/libdata/perl5/alpha-openbsd/CORE/cop.h
 ./usr/libdata/perl5/alpha-openbsd/CORE/cv.h
@@ -85,6 +85,7 @@
 ./usr/libdata/perl5/alpha-openbsd/CORE/regcomp.h
 ./usr/libdata/perl5/alpha-openbsd/CORE/regcomp_internal.h
 ./usr/libdata/perl5/alpha-openbsd/CORE/regexp.h
+./usr/libdata/perl5/alpha-openbsd/CORE/regexp_constants.h
 ./usr/libdata/perl5/alpha-openbsd/CORE/reginline.h
 ./usr/libdata/perl5/alpha-openbsd/CORE/regnodes.h
 ./usr/libdata/perl5/alpha-openbsd/CORE/sbox32_hash.h
@@ -187,6 +188,7 @@
 ./usr/libdata/perl5/alpha-openbsd/IO
 ./usr/libdata/perl5/alpha-openbsd/IO.pm
 ./usr/libdata/perl5/alpha-openbsd/IO/Compress
+./usr/libdata/perl5/alpha-openbsd/IO/Compress.pm
 ./usr/libdata/perl5/alpha-openbsd/IO/Compress/Adapter
 ./usr/libdata/perl5/alpha-openbsd/IO/Compress/Adapter/Bzip2.pm
 ./usr/libdata/perl5/alpha-openbsd/IO/Compress/Adapter/Deflate.pm
@@ -260,6 +262,8 @@
 ./usr/libdata/perl5/alpha-openbsd/PerlIO/via.pm
 ./usr/libdata/perl5/alpha-openbsd/SDBM_File.pm
 ./usr/libdata/perl5/alpha-openbsd/Scalar
+./usr/libdata/perl5/alpha-openbsd/Scalar/List
+./usr/libdata/perl5/alpha-openbsd/Scalar/List/Utils.pm
 ./usr/libdata/perl5/alpha-openbsd/Scalar/Util.pm
 ./usr/libdata/perl5/alpha-openbsd/Socket.pm
 ./usr/libdata/perl5/alpha-openbsd/Storable.pm
Index: distrib/sets/lists/base/md.amd64
===================================================================
RCS file: /cvs/src/distrib/sets/lists/base/md.amd64,v
diff -u -p -r1.904 md.amd64
--- distrib/sets/lists/base/md.amd64	16 Jul 2025 16:02:36 -0000	1.904
+++ distrib/sets/lists/base/md.amd64	4 Sep 2025 00:34:03 -0000
@@ -28,7 +28,7 @@
 ./usr/libdata/perl5/amd64-openbsd/CORE/XSUB.h
 ./usr/libdata/perl5/amd64-openbsd/CORE/av.h
 ./usr/libdata/perl5/amd64-openbsd/CORE/bitcount.h
-./usr/libdata/perl5/amd64-openbsd/CORE/charclass_invlists.h
+./usr/libdata/perl5/amd64-openbsd/CORE/charclass_invlists.inc
 ./usr/libdata/perl5/amd64-openbsd/CORE/config.h
 ./usr/libdata/perl5/amd64-openbsd/CORE/cop.h
 ./usr/libdata/perl5/amd64-openbsd/CORE/cv.h
@@ -90,6 +90,7 @@
 ./usr/libdata/perl5/amd64-openbsd/CORE/regcomp.h
 ./usr/libdata/perl5/amd64-openbsd/CORE/regcomp_internal.h
 ./usr/libdata/perl5/amd64-openbsd/CORE/regexp.h
+./usr/libdata/perl5/amd64-openbsd/CORE/regexp_constants.h
 ./usr/libdata/perl5/amd64-openbsd/CORE/reginline.h
 ./usr/libdata/perl5/amd64-openbsd/CORE/regnodes.h
 ./usr/libdata/perl5/amd64-openbsd/CORE/sbox32_hash.h
@@ -192,6 +193,7 @@
 ./usr/libdata/perl5/amd64-openbsd/IO
 ./usr/libdata/perl5/amd64-openbsd/IO.pm
 ./usr/libdata/perl5/amd64-openbsd/IO/Compress
+./usr/libdata/perl5/amd64-openbsd/IO/Compress.pm
 ./usr/libdata/perl5/amd64-openbsd/IO/Compress/Adapter
 ./usr/libdata/perl5/amd64-openbsd/IO/Compress/Adapter/Bzip2.pm
 ./usr/libdata/perl5/amd64-openbsd/IO/Compress/Adapter/Deflate.pm
@@ -265,6 +267,8 @@
 ./usr/libdata/perl5/amd64-openbsd/PerlIO/via.pm
 ./usr/libdata/perl5/amd64-openbsd/SDBM_File.pm
 ./usr/libdata/perl5/amd64-openbsd/Scalar
+./usr/libdata/perl5/amd64-openbsd/Scalar/List
+./usr/libdata/perl5/amd64-openbsd/Scalar/List/Utils.pm
 ./usr/libdata/perl5/amd64-openbsd/Scalar/Util.pm
 ./usr/libdata/perl5/amd64-openbsd/Socket.pm
 ./usr/libdata/perl5/amd64-openbsd/Storable.pm
Index: distrib/sets/lists/base/md.arm64
===================================================================
RCS file: /cvs/src/distrib/sets/lists/base/md.arm64,v
diff -u -p -r1.49 md.arm64
--- distrib/sets/lists/base/md.arm64	16 Jul 2025 16:02:36 -0000	1.49
+++ distrib/sets/lists/base/md.arm64	4 Sep 2025 00:34:03 -0000
@@ -23,7 +23,7 @@
 ./usr/libdata/perl5/aarch64-openbsd/CORE/XSUB.h
 ./usr/libdata/perl5/aarch64-openbsd/CORE/av.h
 ./usr/libdata/perl5/aarch64-openbsd/CORE/bitcount.h
-./usr/libdata/perl5/aarch64-openbsd/CORE/charclass_invlists.h
+./usr/libdata/perl5/aarch64-openbsd/CORE/charclass_invlists.inc
 ./usr/libdata/perl5/aarch64-openbsd/CORE/config.h
 ./usr/libdata/perl5/aarch64-openbsd/CORE/cop.h
 ./usr/libdata/perl5/aarch64-openbsd/CORE/cv.h
@@ -85,6 +85,7 @@
 ./usr/libdata/perl5/aarch64-openbsd/CORE/regcomp.h
 ./usr/libdata/perl5/aarch64-openbsd/CORE/regcomp_internal.h
 ./usr/libdata/perl5/aarch64-openbsd/CORE/regexp.h
+./usr/libdata/perl5/aarch64-openbsd/CORE/regexp_constants.h
 ./usr/libdata/perl5/aarch64-openbsd/CORE/reginline.h
 ./usr/libdata/perl5/aarch64-openbsd/CORE/regnodes.h
 ./usr/libdata/perl5/aarch64-openbsd/CORE/sbox32_hash.h
@@ -187,6 +188,7 @@
 ./usr/libdata/perl5/aarch64-openbsd/IO
 ./usr/libdata/perl5/aarch64-openbsd/IO.pm
 ./usr/libdata/perl5/aarch64-openbsd/IO/Compress
+./usr/libdata/perl5/aarch64-openbsd/IO/Compress.pm
 ./usr/libdata/perl5/aarch64-openbsd/IO/Compress/Adapter
 ./usr/libdata/perl5/aarch64-openbsd/IO/Compress/Adapter/Bzip2.pm
 ./usr/libdata/perl5/aarch64-openbsd/IO/Compress/Adapter/Deflate.pm
@@ -260,6 +262,8 @@
 ./usr/libdata/perl5/aarch64-openbsd/PerlIO/via.pm
 ./usr/libdata/perl5/aarch64-openbsd/SDBM_File.pm
 ./usr/libdata/perl5/aarch64-openbsd/Scalar
+./usr/libdata/perl5/aarch64-openbsd/Scalar/List
+./usr/libdata/perl5/aarch64-openbsd/Scalar/List/Utils.pm
 ./usr/libdata/perl5/aarch64-openbsd/Scalar/Util.pm
 ./usr/libdata/perl5/aarch64-openbsd/Socket.pm
 ./usr/libdata/perl5/aarch64-openbsd/Storable.pm
Index: distrib/sets/lists/base/md.armv7
===================================================================
RCS file: /cvs/src/distrib/sets/lists/base/md.armv7,v
diff -u -p -r1.310 md.armv7
--- distrib/sets/lists/base/md.armv7	16 Jul 2025 16:02:36 -0000	1.310
+++ distrib/sets/lists/base/md.armv7	4 Sep 2025 00:34:03 -0000
@@ -23,7 +23,7 @@
 ./usr/libdata/perl5/arm-openbsd/CORE/XSUB.h
 ./usr/libdata/perl5/arm-openbsd/CORE/av.h
 ./usr/libdata/perl5/arm-openbsd/CORE/bitcount.h
-./usr/libdata/perl5/arm-openbsd/CORE/charclass_invlists.h
+./usr/libdata/perl5/arm-openbsd/CORE/charclass_invlists.inc
 ./usr/libdata/perl5/arm-openbsd/CORE/config.h
 ./usr/libdata/perl5/arm-openbsd/CORE/cop.h
 ./usr/libdata/perl5/arm-openbsd/CORE/cv.h
@@ -85,6 +85,7 @@
 ./usr/libdata/perl5/arm-openbsd/CORE/regcomp.h
 ./usr/libdata/perl5/arm-openbsd/CORE/regcomp_internal.h
 ./usr/libdata/perl5/arm-openbsd/CORE/regexp.h
+./usr/libdata/perl5/arm-openbsd/CORE/regexp_constants.h
 ./usr/libdata/perl5/arm-openbsd/CORE/reginline.h
 ./usr/libdata/perl5/arm-openbsd/CORE/regnodes.h
 ./usr/libdata/perl5/arm-openbsd/CORE/sbox32_hash.h
@@ -187,6 +188,7 @@
 ./usr/libdata/perl5/arm-openbsd/IO
 ./usr/libdata/perl5/arm-openbsd/IO.pm
 ./usr/libdata/perl5/arm-openbsd/IO/Compress
+./usr/libdata/perl5/arm-openbsd/IO/Compress.pm
 ./usr/libdata/perl5/arm-openbsd/IO/Compress/Adapter
 ./usr/libdata/perl5/arm-openbsd/IO/Compress/Adapter/Bzip2.pm
 ./usr/libdata/perl5/arm-openbsd/IO/Compress/Adapter/Deflate.pm
@@ -260,6 +262,8 @@
 ./usr/libdata/perl5/arm-openbsd/PerlIO/via.pm
 ./usr/libdata/perl5/arm-openbsd/SDBM_File.pm
 ./usr/libdata/perl5/arm-openbsd/Scalar
+./usr/libdata/perl5/arm-openbsd/Scalar/List
+./usr/libdata/perl5/arm-openbsd/Scalar/List/Utils.pm
 ./usr/libdata/perl5/arm-openbsd/Scalar/Util.pm
 ./usr/libdata/perl5/arm-openbsd/Socket.pm
 ./usr/libdata/perl5/arm-openbsd/Storable.pm
Index: distrib/sets/lists/base/md.hppa
===================================================================
RCS file: /cvs/src/distrib/sets/lists/base/md.hppa,v
diff -u -p -r1.943 md.hppa
--- distrib/sets/lists/base/md.hppa	16 Jul 2025 16:02:36 -0000	1.943
+++ distrib/sets/lists/base/md.hppa	4 Sep 2025 00:34:03 -0000
@@ -25,7 +25,7 @@
 ./usr/libdata/perl5/hppa-openbsd/CORE/XSUB.h
 ./usr/libdata/perl5/hppa-openbsd/CORE/av.h
 ./usr/libdata/perl5/hppa-openbsd/CORE/bitcount.h
-./usr/libdata/perl5/hppa-openbsd/CORE/charclass_invlists.h
+./usr/libdata/perl5/hppa-openbsd/CORE/charclass_invlists.inc
 ./usr/libdata/perl5/hppa-openbsd/CORE/config.h
 ./usr/libdata/perl5/hppa-openbsd/CORE/cop.h
 ./usr/libdata/perl5/hppa-openbsd/CORE/cv.h
@@ -87,6 +87,7 @@
 ./usr/libdata/perl5/hppa-openbsd/CORE/regcomp.h
 ./usr/libdata/perl5/hppa-openbsd/CORE/regcomp_internal.h
 ./usr/libdata/perl5/hppa-openbsd/CORE/regexp.h
+./usr/libdata/perl5/hppa-openbsd/CORE/regexp_constants.h
 ./usr/libdata/perl5/hppa-openbsd/CORE/reginline.h
 ./usr/libdata/perl5/hppa-openbsd/CORE/regnodes.h
 ./usr/libdata/perl5/hppa-openbsd/CORE/sbox32_hash.h
@@ -189,6 +190,7 @@
 ./usr/libdata/perl5/hppa-openbsd/IO
 ./usr/libdata/perl5/hppa-openbsd/IO.pm
 ./usr/libdata/perl5/hppa-openbsd/IO/Compress
+./usr/libdata/perl5/hppa-openbsd/IO/Compress.pm
 ./usr/libdata/perl5/hppa-openbsd/IO/Compress/Adapter
 ./usr/libdata/perl5/hppa-openbsd/IO/Compress/Adapter/Bzip2.pm
 ./usr/libdata/perl5/hppa-openbsd/IO/Compress/Adapter/Deflate.pm
@@ -262,6 +264,8 @@
 ./usr/libdata/perl5/hppa-openbsd/PerlIO/via.pm
 ./usr/libdata/perl5/hppa-openbsd/SDBM_File.pm
 ./usr/libdata/perl5/hppa-openbsd/Scalar
+./usr/libdata/perl5/hppa-openbsd/Scalar/List
+./usr/libdata/perl5/hppa-openbsd/Scalar/List/Utils.pm
 ./usr/libdata/perl5/hppa-openbsd/Scalar/Util.pm
 ./usr/libdata/perl5/hppa-openbsd/Socket.pm
 ./usr/libdata/perl5/hppa-openbsd/Storable.pm
Index: distrib/sets/lists/base/md.i386
===================================================================
RCS file: /cvs/src/distrib/sets/lists/base/md.i386,v
diff -u -p -r1.1279 md.i386
--- distrib/sets/lists/base/md.i386	16 Jul 2025 16:02:36 -0000	1.1279
+++ distrib/sets/lists/base/md.i386	4 Sep 2025 00:34:03 -0000
@@ -30,7 +30,7 @@
 ./usr/libdata/perl5/i386-openbsd/CORE/XSUB.h
 ./usr/libdata/perl5/i386-openbsd/CORE/av.h
 ./usr/libdata/perl5/i386-openbsd/CORE/bitcount.h
-./usr/libdata/perl5/i386-openbsd/CORE/charclass_invlists.h
+./usr/libdata/perl5/i386-openbsd/CORE/charclass_invlists.inc
 ./usr/libdata/perl5/i386-openbsd/CORE/config.h
 ./usr/libdata/perl5/i386-openbsd/CORE/cop.h
 ./usr/libdata/perl5/i386-openbsd/CORE/cv.h
@@ -92,6 +92,7 @@
 ./usr/libdata/perl5/i386-openbsd/CORE/regcomp.h
 ./usr/libdata/perl5/i386-openbsd/CORE/regcomp_internal.h
 ./usr/libdata/perl5/i386-openbsd/CORE/regexp.h
+./usr/libdata/perl5/i386-openbsd/CORE/regexp_constants.h
 ./usr/libdata/perl5/i386-openbsd/CORE/reginline.h
 ./usr/libdata/perl5/i386-openbsd/CORE/regnodes.h
 ./usr/libdata/perl5/i386-openbsd/CORE/sbox32_hash.h
@@ -194,6 +195,7 @@
 ./usr/libdata/perl5/i386-openbsd/IO
 ./usr/libdata/perl5/i386-openbsd/IO.pm
 ./usr/libdata/perl5/i386-openbsd/IO/Compress
+./usr/libdata/perl5/i386-openbsd/IO/Compress.pm
 ./usr/libdata/perl5/i386-openbsd/IO/Compress/Adapter
 ./usr/libdata/perl5/i386-openbsd/IO/Compress/Adapter/Bzip2.pm
 ./usr/libdata/perl5/i386-openbsd/IO/Compress/Adapter/Deflate.pm
@@ -267,6 +269,8 @@
 ./usr/libdata/perl5/i386-openbsd/PerlIO/via.pm
 ./usr/libdata/perl5/i386-openbsd/SDBM_File.pm
 ./usr/libdata/perl5/i386-openbsd/Scalar
+./usr/libdata/perl5/i386-openbsd/Scalar/List
+./usr/libdata/perl5/i386-openbsd/Scalar/List/Utils.pm
 ./usr/libdata/perl5/i386-openbsd/Scalar/Util.pm
 ./usr/libdata/perl5/i386-openbsd/Socket.pm
 ./usr/libdata/perl5/i386-openbsd/Storable.pm
Index: distrib/sets/lists/base/md.landisk
===================================================================
RCS file: /cvs/src/distrib/sets/lists/base/md.landisk,v
diff -u -p -r1.638 md.landisk
--- distrib/sets/lists/base/md.landisk	16 Jul 2025 16:02:36 -0000	1.638
+++ distrib/sets/lists/base/md.landisk	4 Sep 2025 00:34:03 -0000
@@ -22,7 +22,7 @@
 ./usr/libdata/perl5/sh-openbsd/CORE/XSUB.h
 ./usr/libdata/perl5/sh-openbsd/CORE/av.h
 ./usr/libdata/perl5/sh-openbsd/CORE/bitcount.h
-./usr/libdata/perl5/sh-openbsd/CORE/charclass_invlists.h
+./usr/libdata/perl5/sh-openbsd/CORE/charclass_invlists.inc
 ./usr/libdata/perl5/sh-openbsd/CORE/config.h
 ./usr/libdata/perl5/sh-openbsd/CORE/cop.h
 ./usr/libdata/perl5/sh-openbsd/CORE/cv.h
@@ -84,6 +84,7 @@
 ./usr/libdata/perl5/sh-openbsd/CORE/regcomp.h
 ./usr/libdata/perl5/sh-openbsd/CORE/regcomp_internal.h
 ./usr/libdata/perl5/sh-openbsd/CORE/regexp.h
+./usr/libdata/perl5/sh-openbsd/CORE/regexp_constants.h
 ./usr/libdata/perl5/sh-openbsd/CORE/reginline.h
 ./usr/libdata/perl5/sh-openbsd/CORE/regnodes.h
 ./usr/libdata/perl5/sh-openbsd/CORE/sbox32_hash.h
@@ -186,6 +187,7 @@
 ./usr/libdata/perl5/sh-openbsd/IO
 ./usr/libdata/perl5/sh-openbsd/IO.pm
 ./usr/libdata/perl5/sh-openbsd/IO/Compress
+./usr/libdata/perl5/sh-openbsd/IO/Compress.pm
 ./usr/libdata/perl5/sh-openbsd/IO/Compress/Adapter
 ./usr/libdata/perl5/sh-openbsd/IO/Compress/Adapter/Bzip2.pm
 ./usr/libdata/perl5/sh-openbsd/IO/Compress/Adapter/Deflate.pm
@@ -259,6 +261,8 @@
 ./usr/libdata/perl5/sh-openbsd/PerlIO/via.pm
 ./usr/libdata/perl5/sh-openbsd/SDBM_File.pm
 ./usr/libdata/perl5/sh-openbsd/Scalar
+./usr/libdata/perl5/sh-openbsd/Scalar/List
+./usr/libdata/perl5/sh-openbsd/Scalar/List/Utils.pm
 ./usr/libdata/perl5/sh-openbsd/Scalar/Util.pm
 ./usr/libdata/perl5/sh-openbsd/Socket.pm
 ./usr/libdata/perl5/sh-openbsd/Storable.pm
Index: distrib/sets/lists/base/md.loongson
===================================================================
RCS file: /cvs/src/distrib/sets/lists/base/md.loongson,v
diff -u -p -r1.485 md.loongson
--- distrib/sets/lists/base/md.loongson	16 Jul 2025 16:02:36 -0000	1.485
+++ distrib/sets/lists/base/md.loongson	4 Sep 2025 00:34:03 -0000
@@ -23,7 +23,7 @@
 ./usr/libdata/perl5/mips64el-openbsd/CORE/XSUB.h
 ./usr/libdata/perl5/mips64el-openbsd/CORE/av.h
 ./usr/libdata/perl5/mips64el-openbsd/CORE/bitcount.h
-./usr/libdata/perl5/mips64el-openbsd/CORE/charclass_invlists.h
+./usr/libdata/perl5/mips64el-openbsd/CORE/charclass_invlists.inc
 ./usr/libdata/perl5/mips64el-openbsd/CORE/config.h
 ./usr/libdata/perl5/mips64el-openbsd/CORE/cop.h
 ./usr/libdata/perl5/mips64el-openbsd/CORE/cv.h
@@ -85,6 +85,7 @@
 ./usr/libdata/perl5/mips64el-openbsd/CORE/regcomp.h
 ./usr/libdata/perl5/mips64el-openbsd/CORE/regcomp_internal.h
 ./usr/libdata/perl5/mips64el-openbsd/CORE/regexp.h
+./usr/libdata/perl5/mips64el-openbsd/CORE/regexp_constants.h
 ./usr/libdata/perl5/mips64el-openbsd/CORE/reginline.h
 ./usr/libdata/perl5/mips64el-openbsd/CORE/regnodes.h
 ./usr/libdata/perl5/mips64el-openbsd/CORE/sbox32_hash.h
@@ -187,6 +188,7 @@
 ./usr/libdata/perl5/mips64el-openbsd/IO
 ./usr/libdata/perl5/mips64el-openbsd/IO.pm
 ./usr/libdata/perl5/mips64el-openbsd/IO/Compress
+./usr/libdata/perl5/mips64el-openbsd/IO/Compress.pm
 ./usr/libdata/perl5/mips64el-openbsd/IO/Compress/Adapter
 ./usr/libdata/perl5/mips64el-openbsd/IO/Compress/Adapter/Bzip2.pm
 ./usr/libdata/perl5/mips64el-openbsd/IO/Compress/Adapter/Deflate.pm
@@ -260,6 +262,8 @@
 ./usr/libdata/perl5/mips64el-openbsd/PerlIO/via.pm
 ./usr/libdata/perl5/mips64el-openbsd/SDBM_File.pm
 ./usr/libdata/perl5/mips64el-openbsd/Scalar
+./usr/libdata/perl5/mips64el-openbsd/Scalar/List
+./usr/libdata/perl5/mips64el-openbsd/Scalar/List/Utils.pm
 ./usr/libdata/perl5/mips64el-openbsd/Scalar/Util.pm
 ./usr/libdata/perl5/mips64el-openbsd/Socket.pm
 ./usr/libdata/perl5/mips64el-openbsd/Storable.pm
Index: distrib/sets/lists/base/md.luna88k
===================================================================
RCS file: /cvs/src/distrib/sets/lists/base/md.luna88k,v
diff -u -p -r1.694 md.luna88k
--- distrib/sets/lists/base/md.luna88k	16 Jul 2025 16:02:36 -0000	1.694
+++ distrib/sets/lists/base/md.luna88k	4 Sep 2025 00:34:03 -0000
@@ -21,7 +21,7 @@
 ./usr/libdata/perl5/m88k-openbsd/CORE/XSUB.h
 ./usr/libdata/perl5/m88k-openbsd/CORE/av.h
 ./usr/libdata/perl5/m88k-openbsd/CORE/bitcount.h
-./usr/libdata/perl5/m88k-openbsd/CORE/charclass_invlists.h
+./usr/libdata/perl5/m88k-openbsd/CORE/charclass_invlists.inc
 ./usr/libdata/perl5/m88k-openbsd/CORE/config.h
 ./usr/libdata/perl5/m88k-openbsd/CORE/cop.h
 ./usr/libdata/perl5/m88k-openbsd/CORE/cv.h
@@ -83,6 +83,7 @@
 ./usr/libdata/perl5/m88k-openbsd/CORE/regcomp.h
 ./usr/libdata/perl5/m88k-openbsd/CORE/regcomp_internal.h
 ./usr/libdata/perl5/m88k-openbsd/CORE/regexp.h
+./usr/libdata/perl5/m88k-openbsd/CORE/regexp_constants.h
 ./usr/libdata/perl5/m88k-openbsd/CORE/reginline.h
 ./usr/libdata/perl5/m88k-openbsd/CORE/regnodes.h
 ./usr/libdata/perl5/m88k-openbsd/CORE/sbox32_hash.h
@@ -185,6 +186,7 @@
 ./usr/libdata/perl5/m88k-openbsd/IO
 ./usr/libdata/perl5/m88k-openbsd/IO.pm
 ./usr/libdata/perl5/m88k-openbsd/IO/Compress
+./usr/libdata/perl5/m88k-openbsd/IO/Compress.pm
 ./usr/libdata/perl5/m88k-openbsd/IO/Compress/Adapter
 ./usr/libdata/perl5/m88k-openbsd/IO/Compress/Adapter/Bzip2.pm
 ./usr/libdata/perl5/m88k-openbsd/IO/Compress/Adapter/Deflate.pm
@@ -258,6 +260,8 @@
 ./usr/libdata/perl5/m88k-openbsd/PerlIO/via.pm
 ./usr/libdata/perl5/m88k-openbsd/SDBM_File.pm
 ./usr/libdata/perl5/m88k-openbsd/Scalar
+./usr/libdata/perl5/m88k-openbsd/Scalar/List
+./usr/libdata/perl5/m88k-openbsd/Scalar/List/Utils.pm
 ./usr/libdata/perl5/m88k-openbsd/Scalar/Util.pm
 ./usr/libdata/perl5/m88k-openbsd/Socket.pm
 ./usr/libdata/perl5/m88k-openbsd/Storable.pm
Index: distrib/sets/lists/base/md.macppc
===================================================================
RCS file: /cvs/src/distrib/sets/lists/base/md.macppc,v
diff -u -p -r1.1053 md.macppc
--- distrib/sets/lists/base/md.macppc	1 Aug 2025 18:34:57 -0000	1.1053
+++ distrib/sets/lists/base/md.macppc	4 Sep 2025 00:34:03 -0000
@@ -27,7 +27,7 @@
 ./usr/libdata/perl5/powerpc-openbsd/CORE/XSUB.h
 ./usr/libdata/perl5/powerpc-openbsd/CORE/av.h
 ./usr/libdata/perl5/powerpc-openbsd/CORE/bitcount.h
-./usr/libdata/perl5/powerpc-openbsd/CORE/charclass_invlists.h
+./usr/libdata/perl5/powerpc-openbsd/CORE/charclass_invlists.inc
 ./usr/libdata/perl5/powerpc-openbsd/CORE/config.h
 ./usr/libdata/perl5/powerpc-openbsd/CORE/cop.h
 ./usr/libdata/perl5/powerpc-openbsd/CORE/cv.h
@@ -89,6 +89,7 @@
 ./usr/libdata/perl5/powerpc-openbsd/CORE/regcomp.h
 ./usr/libdata/perl5/powerpc-openbsd/CORE/regcomp_internal.h
 ./usr/libdata/perl5/powerpc-openbsd/CORE/regexp.h
+./usr/libdata/perl5/powerpc-openbsd/CORE/regexp_constants.h
 ./usr/libdata/perl5/powerpc-openbsd/CORE/reginline.h
 ./usr/libdata/perl5/powerpc-openbsd/CORE/regnodes.h
 ./usr/libdata/perl5/powerpc-openbsd/CORE/sbox32_hash.h
@@ -191,6 +192,7 @@
 ./usr/libdata/perl5/powerpc-openbsd/IO
 ./usr/libdata/perl5/powerpc-openbsd/IO.pm
 ./usr/libdata/perl5/powerpc-openbsd/IO/Compress
+./usr/libdata/perl5/powerpc-openbsd/IO/Compress.pm
 ./usr/libdata/perl5/powerpc-openbsd/IO/Compress/Adapter
 ./usr/libdata/perl5/powerpc-openbsd/IO/Compress/Adapter/Bzip2.pm
 ./usr/libdata/perl5/powerpc-openbsd/IO/Compress/Adapter/Deflate.pm
@@ -264,6 +266,8 @@
 ./usr/libdata/perl5/powerpc-openbsd/PerlIO/via.pm
 ./usr/libdata/perl5/powerpc-openbsd/SDBM_File.pm
 ./usr/libdata/perl5/powerpc-openbsd/Scalar
+./usr/libdata/perl5/powerpc-openbsd/Scalar/List
+./usr/libdata/perl5/powerpc-openbsd/Scalar/List/Utils.pm
 ./usr/libdata/perl5/powerpc-openbsd/Scalar/Util.pm
 ./usr/libdata/perl5/powerpc-openbsd/Socket.pm
 ./usr/libdata/perl5/powerpc-openbsd/Storable.pm
Index: distrib/sets/lists/base/md.octeon
===================================================================
RCS file: /cvs/src/distrib/sets/lists/base/md.octeon,v
diff -u -p -r1.335 md.octeon
--- distrib/sets/lists/base/md.octeon	16 Jul 2025 16:02:36 -0000	1.335
+++ distrib/sets/lists/base/md.octeon	4 Sep 2025 00:34:03 -0000
@@ -21,7 +21,7 @@
 ./usr/libdata/perl5/mips64-openbsd/CORE/XSUB.h
 ./usr/libdata/perl5/mips64-openbsd/CORE/av.h
 ./usr/libdata/perl5/mips64-openbsd/CORE/bitcount.h
-./usr/libdata/perl5/mips64-openbsd/CORE/charclass_invlists.h
+./usr/libdata/perl5/mips64-openbsd/CORE/charclass_invlists.inc
 ./usr/libdata/perl5/mips64-openbsd/CORE/config.h
 ./usr/libdata/perl5/mips64-openbsd/CORE/cop.h
 ./usr/libdata/perl5/mips64-openbsd/CORE/cv.h
@@ -83,6 +83,7 @@
 ./usr/libdata/perl5/mips64-openbsd/CORE/regcomp.h
 ./usr/libdata/perl5/mips64-openbsd/CORE/regcomp_internal.h
 ./usr/libdata/perl5/mips64-openbsd/CORE/regexp.h
+./usr/libdata/perl5/mips64-openbsd/CORE/regexp_constants.h
 ./usr/libdata/perl5/mips64-openbsd/CORE/reginline.h
 ./usr/libdata/perl5/mips64-openbsd/CORE/regnodes.h
 ./usr/libdata/perl5/mips64-openbsd/CORE/sbox32_hash.h
@@ -185,6 +186,7 @@
 ./usr/libdata/perl5/mips64-openbsd/IO
 ./usr/libdata/perl5/mips64-openbsd/IO.pm
 ./usr/libdata/perl5/mips64-openbsd/IO/Compress
+./usr/libdata/perl5/mips64-openbsd/IO/Compress.pm
 ./usr/libdata/perl5/mips64-openbsd/IO/Compress/Adapter
 ./usr/libdata/perl5/mips64-openbsd/IO/Compress/Adapter/Bzip2.pm
 ./usr/libdata/perl5/mips64-openbsd/IO/Compress/Adapter/Deflate.pm
@@ -258,6 +260,8 @@
 ./usr/libdata/perl5/mips64-openbsd/PerlIO/via.pm
 ./usr/libdata/perl5/mips64-openbsd/SDBM_File.pm
 ./usr/libdata/perl5/mips64-openbsd/Scalar
+./usr/libdata/perl5/mips64-openbsd/Scalar/List
+./usr/libdata/perl5/mips64-openbsd/Scalar/List/Utils.pm
 ./usr/libdata/perl5/mips64-openbsd/Scalar/Util.pm
 ./usr/libdata/perl5/mips64-openbsd/Socket.pm
 ./usr/libdata/perl5/mips64-openbsd/Storable.pm
Index: distrib/sets/lists/base/md.powerpc64
===================================================================
RCS file: /cvs/src/distrib/sets/lists/base/md.powerpc64,v
diff -u -p -r1.24 md.powerpc64
--- distrib/sets/lists/base/md.powerpc64	16 Jul 2025 16:02:36 -0000	1.24
+++ distrib/sets/lists/base/md.powerpc64	4 Sep 2025 00:34:03 -0000
@@ -23,7 +23,7 @@
 ./usr/libdata/perl5/powerpc64-openbsd/CORE/XSUB.h
 ./usr/libdata/perl5/powerpc64-openbsd/CORE/av.h
 ./usr/libdata/perl5/powerpc64-openbsd/CORE/bitcount.h
-./usr/libdata/perl5/powerpc64-openbsd/CORE/charclass_invlists.h
+./usr/libdata/perl5/powerpc64-openbsd/CORE/charclass_invlists.inc
 ./usr/libdata/perl5/powerpc64-openbsd/CORE/config.h
 ./usr/libdata/perl5/powerpc64-openbsd/CORE/cop.h
 ./usr/libdata/perl5/powerpc64-openbsd/CORE/cv.h
@@ -85,6 +85,7 @@
 ./usr/libdata/perl5/powerpc64-openbsd/CORE/regcomp.h
 ./usr/libdata/perl5/powerpc64-openbsd/CORE/regcomp_internal.h
 ./usr/libdata/perl5/powerpc64-openbsd/CORE/regexp.h
+./usr/libdata/perl5/powerpc64-openbsd/CORE/regexp_constants.h
 ./usr/libdata/perl5/powerpc64-openbsd/CORE/reginline.h
 ./usr/libdata/perl5/powerpc64-openbsd/CORE/regnodes.h
 ./usr/libdata/perl5/powerpc64-openbsd/CORE/sbox32_hash.h
@@ -187,6 +188,7 @@
 ./usr/libdata/perl5/powerpc64-openbsd/IO
 ./usr/libdata/perl5/powerpc64-openbsd/IO.pm
 ./usr/libdata/perl5/powerpc64-openbsd/IO/Compress
+./usr/libdata/perl5/powerpc64-openbsd/IO/Compress.pm
 ./usr/libdata/perl5/powerpc64-openbsd/IO/Compress/Adapter
 ./usr/libdata/perl5/powerpc64-openbsd/IO/Compress/Adapter/Bzip2.pm
 ./usr/libdata/perl5/powerpc64-openbsd/IO/Compress/Adapter/Deflate.pm
@@ -260,6 +262,8 @@
 ./usr/libdata/perl5/powerpc64-openbsd/PerlIO/via.pm
 ./usr/libdata/perl5/powerpc64-openbsd/SDBM_File.pm
 ./usr/libdata/perl5/powerpc64-openbsd/Scalar
+./usr/libdata/perl5/powerpc64-openbsd/Scalar/List
+./usr/libdata/perl5/powerpc64-openbsd/Scalar/List/Utils.pm
 ./usr/libdata/perl5/powerpc64-openbsd/Scalar/Util.pm
 ./usr/libdata/perl5/powerpc64-openbsd/Socket.pm
 ./usr/libdata/perl5/powerpc64-openbsd/Storable.pm
Index: distrib/sets/lists/base/md.riscv64
===================================================================
RCS file: /cvs/src/distrib/sets/lists/base/md.riscv64,v
diff -u -p -r1.16 md.riscv64
--- distrib/sets/lists/base/md.riscv64	16 Jul 2025 16:02:36 -0000	1.16
+++ distrib/sets/lists/base/md.riscv64	4 Sep 2025 00:34:03 -0000
@@ -23,7 +23,7 @@
 ./usr/libdata/perl5/riscv64-openbsd/CORE/XSUB.h
 ./usr/libdata/perl5/riscv64-openbsd/CORE/av.h
 ./usr/libdata/perl5/riscv64-openbsd/CORE/bitcount.h
-./usr/libdata/perl5/riscv64-openbsd/CORE/charclass_invlists.h
+./usr/libdata/perl5/riscv64-openbsd/CORE/charclass_invlists.inc
 ./usr/libdata/perl5/riscv64-openbsd/CORE/config.h
 ./usr/libdata/perl5/riscv64-openbsd/CORE/cop.h
 ./usr/libdata/perl5/riscv64-openbsd/CORE/cv.h
@@ -85,6 +85,7 @@
 ./usr/libdata/perl5/riscv64-openbsd/CORE/regcomp.h
 ./usr/libdata/perl5/riscv64-openbsd/CORE/regcomp_internal.h
 ./usr/libdata/perl5/riscv64-openbsd/CORE/regexp.h
+./usr/libdata/perl5/riscv64-openbsd/CORE/regexp_constants.h
 ./usr/libdata/perl5/riscv64-openbsd/CORE/reginline.h
 ./usr/libdata/perl5/riscv64-openbsd/CORE/regnodes.h
 ./usr/libdata/perl5/riscv64-openbsd/CORE/sbox32_hash.h
@@ -187,6 +188,7 @@
 ./usr/libdata/perl5/riscv64-openbsd/IO
 ./usr/libdata/perl5/riscv64-openbsd/IO.pm
 ./usr/libdata/perl5/riscv64-openbsd/IO/Compress
+./usr/libdata/perl5/riscv64-openbsd/IO/Compress.pm
 ./usr/libdata/perl5/riscv64-openbsd/IO/Compress/Adapter
 ./usr/libdata/perl5/riscv64-openbsd/IO/Compress/Adapter/Bzip2.pm
 ./usr/libdata/perl5/riscv64-openbsd/IO/Compress/Adapter/Deflate.pm
@@ -260,6 +262,8 @@
 ./usr/libdata/perl5/riscv64-openbsd/PerlIO/via.pm
 ./usr/libdata/perl5/riscv64-openbsd/SDBM_File.pm
 ./usr/libdata/perl5/riscv64-openbsd/Scalar
+./usr/libdata/perl5/riscv64-openbsd/Scalar/List
+./usr/libdata/perl5/riscv64-openbsd/Scalar/List/Utils.pm
 ./usr/libdata/perl5/riscv64-openbsd/Scalar/Util.pm
 ./usr/libdata/perl5/riscv64-openbsd/Socket.pm
 ./usr/libdata/perl5/riscv64-openbsd/Storable.pm
Index: distrib/sets/lists/base/md.sparc64
===================================================================
RCS file: /cvs/src/distrib/sets/lists/base/md.sparc64,v
diff -u -p -r1.1057 md.sparc64
--- distrib/sets/lists/base/md.sparc64	16 Jul 2025 16:02:36 -0000	1.1057
+++ distrib/sets/lists/base/md.sparc64	4 Sep 2025 00:34:03 -0000
@@ -34,7 +34,7 @@
 ./usr/libdata/perl5/sparc64-openbsd/CORE/XSUB.h
 ./usr/libdata/perl5/sparc64-openbsd/CORE/av.h
 ./usr/libdata/perl5/sparc64-openbsd/CORE/bitcount.h
-./usr/libdata/perl5/sparc64-openbsd/CORE/charclass_invlists.h
+./usr/libdata/perl5/sparc64-openbsd/CORE/charclass_invlists.inc
 ./usr/libdata/perl5/sparc64-openbsd/CORE/config.h
 ./usr/libdata/perl5/sparc64-openbsd/CORE/cop.h
 ./usr/libdata/perl5/sparc64-openbsd/CORE/cv.h
@@ -96,6 +96,7 @@
 ./usr/libdata/perl5/sparc64-openbsd/CORE/regcomp.h
 ./usr/libdata/perl5/sparc64-openbsd/CORE/regcomp_internal.h
 ./usr/libdata/perl5/sparc64-openbsd/CORE/regexp.h
+./usr/libdata/perl5/sparc64-openbsd/CORE/regexp_constants.h
 ./usr/libdata/perl5/sparc64-openbsd/CORE/reginline.h
 ./usr/libdata/perl5/sparc64-openbsd/CORE/regnodes.h
 ./usr/libdata/perl5/sparc64-openbsd/CORE/sbox32_hash.h
@@ -198,6 +199,7 @@
 ./usr/libdata/perl5/sparc64-openbsd/IO
 ./usr/libdata/perl5/sparc64-openbsd/IO.pm
 ./usr/libdata/perl5/sparc64-openbsd/IO/Compress
+./usr/libdata/perl5/sparc64-openbsd/IO/Compress.pm
 ./usr/libdata/perl5/sparc64-openbsd/IO/Compress/Adapter
 ./usr/libdata/perl5/sparc64-openbsd/IO/Compress/Adapter/Bzip2.pm
 ./usr/libdata/perl5/sparc64-openbsd/IO/Compress/Adapter/Deflate.pm
@@ -271,6 +273,8 @@
 ./usr/libdata/perl5/sparc64-openbsd/PerlIO/via.pm
 ./usr/libdata/perl5/sparc64-openbsd/SDBM_File.pm
 ./usr/libdata/perl5/sparc64-openbsd/Scalar
+./usr/libdata/perl5/sparc64-openbsd/Scalar/List
+./usr/libdata/perl5/sparc64-openbsd/Scalar/List/Utils.pm
 ./usr/libdata/perl5/sparc64-openbsd/Scalar/Util.pm
 ./usr/libdata/perl5/sparc64-openbsd/Socket.pm
 ./usr/libdata/perl5/sparc64-openbsd/Storable.pm
Index: distrib/sets/lists/base/mi
===================================================================
RCS file: /cvs/src/distrib/sets/lists/base/mi,v
diff -u -p -r1.1169 mi
--- distrib/sets/lists/base/mi	8 Aug 2025 16:01:12 -0000	1.1169
+++ distrib/sets/lists/base/mi	4 Sep 2025 00:34:03 -0000
@@ -778,7 +778,7 @@
 ./usr/lib/libpanel.so.7.0
 ./usr/lib/libpanelw.so.7.0
 ./usr/lib/libpcap.so.10.0
-./usr/lib/libperl.so.26.0
+./usr/lib/libperl.so.27.0
 ./usr/lib/libpthread.so.28.0
 ./usr/lib/libradius.so.2.0
 ./usr/lib/libreadline.so.6.0
@@ -1015,6 +1015,7 @@
 ./usr/libdata/perl5/ExtUtils/ParseXS/Constants.pm
 ./usr/libdata/perl5/ExtUtils/ParseXS/CountLines.pm
 ./usr/libdata/perl5/ExtUtils/ParseXS/Eval.pm
+./usr/libdata/perl5/ExtUtils/ParseXS/Node.pm
 ./usr/libdata/perl5/ExtUtils/ParseXS/Utilities.pm
 ./usr/libdata/perl5/ExtUtils/Typemaps
 ./usr/libdata/perl5/ExtUtils/Typemaps.pm
@@ -1369,8 +1370,6 @@
 ./usr/libdata/perl5/Test/Builder
 ./usr/libdata/perl5/Test/Builder.pm
 ./usr/libdata/perl5/Test/Builder/Formatter.pm
-./usr/libdata/perl5/Test/Builder/IO
-./usr/libdata/perl5/Test/Builder/IO/Scalar.pm
 ./usr/libdata/perl5/Test/Builder/Module.pm
 ./usr/libdata/perl5/Test/Builder/Tester
 ./usr/libdata/perl5/Test/Builder/Tester.pm
@@ -1440,6 +1439,7 @@
 ./usr/libdata/perl5/Test2/Compare/String.pm
 ./usr/libdata/perl5/Test2/Compare/Undef.pm
 ./usr/libdata/perl5/Test2/Compare/Wildcard.pm
+./usr/libdata/perl5/Test2/Env.pm
 ./usr/libdata/perl5/Test2/Event
 ./usr/libdata/perl5/Test2/Event.pm
 ./usr/libdata/perl5/Test2/Event/Bail.pm
@@ -1577,6 +1577,7 @@
 ./usr/libdata/perl5/Test2/Util/HashBase.pm
 ./usr/libdata/perl5/Test2/Util/Importer.pm
 ./usr/libdata/perl5/Test2/Util/Ref.pm
+./usr/libdata/perl5/Test2/Util/Sig.pm
 ./usr/libdata/perl5/Test2/Util/Stash.pm
 ./usr/libdata/perl5/Test2/Util/Sub.pm
 ./usr/libdata/perl5/Test2/Util/Table
@@ -1839,8 +1840,12 @@
 ./usr/libdata/perl5/pod/perl5380delta.pod
 ./usr/libdata/perl5/pod/perl5381delta.pod
 ./usr/libdata/perl5/pod/perl5382delta.pod
+./usr/libdata/perl5/pod/perl5383delta.pod
+./usr/libdata/perl5/pod/perl5384delta.pod
 ./usr/libdata/perl5/pod/perl5400delta.pod
 ./usr/libdata/perl5/pod/perl5401delta.pod
+./usr/libdata/perl5/pod/perl5402delta.pod
+./usr/libdata/perl5/pod/perl5420delta.pod
 ./usr/libdata/perl5/pod/perl561delta.pod
 ./usr/libdata/perl5/pod/perl56delta.pod
 ./usr/libdata/perl5/pod/perl581delta.pod
@@ -1997,6 +2002,8 @@
 ./usr/libdata/perl5/pod/perlxstypemap.pod
 ./usr/libdata/perl5/sigtrap.pm
 ./usr/libdata/perl5/sort.pm
+./usr/libdata/perl5/source
+./usr/libdata/perl5/source/encoding.pm
 ./usr/libdata/perl5/stable.pm
 ./usr/libdata/perl5/strict.pm
 ./usr/libdata/perl5/subs.pm
@@ -2023,6 +2030,7 @@
 ./usr/libdata/perl5/unicore/To/Hst.pl
 ./usr/libdata/perl5/unicore/To/Identif2.pl
 ./usr/libdata/perl5/unicore/To/Identifi.pl
+./usr/libdata/perl5/unicore/To/InCB.pl
 ./usr/libdata/perl5/unicore/To/InPC.pl
 ./usr/libdata/perl5/unicore/To/InSC.pl
 ./usr/libdata/perl5/unicore/To/Isc.pl
@@ -2034,6 +2042,7 @@
 ./usr/libdata/perl5/unicore/To/NFDQC.pl
 ./usr/libdata/perl5/unicore/To/NFKCCF.pl
 ./usr/libdata/perl5/unicore/To/NFKCQC.pl
+./usr/libdata/perl5/unicore/To/NFKCSCF.pl
 ./usr/libdata/perl5/unicore/To/NFKDQC.pl
 ./usr/libdata/perl5/unicore/To/Na1.pl
 ./usr/libdata/perl5/unicore/To/NameAlia.pl
@@ -2049,6 +2058,15 @@
 ./usr/libdata/perl5/unicore/To/WB.pl
 ./usr/libdata/perl5/unicore/To/_PerlLB.pl
 ./usr/libdata/perl5/unicore/To/_PerlSCX.pl
+./usr/libdata/perl5/unicore/To/kEHCat.pl
+./usr/libdata/perl5/unicore/To/kEHCore.pl
+./usr/libdata/perl5/unicore/To/kEHDesc.pl
+./usr/libdata/perl5/unicore/To/kEHFVal.pl
+./usr/libdata/perl5/unicore/To/kEHFunc.pl
+./usr/libdata/perl5/unicore/To/kEHHG.pl
+./usr/libdata/perl5/unicore/To/kEHIFAO.pl
+./usr/libdata/perl5/unicore/To/kEHJSesh.pl
+./usr/libdata/perl5/unicore/To/kEHUniK.pl
 ./usr/libdata/perl5/unicore/UCD.pl
 ./usr/libdata/perl5/unicore/lib
 ./usr/libdata/perl5/unicore/lib/Age
@@ -2060,6 +2078,7 @@
 ./usr/libdata/perl5/unicore/lib/Age/V130.pl
 ./usr/libdata/perl5/unicore/lib/Age/V140.pl
 ./usr/libdata/perl5/unicore/lib/Age/V150.pl
+./usr/libdata/perl5/unicore/lib/Age/V160.pl
 ./usr/libdata/perl5/unicore/lib/Age/V20.pl
 ./usr/libdata/perl5/unicore/lib/Age/V30.pl
 ./usr/libdata/perl5/unicore/lib/Age/V31.pl
@@ -2180,6 +2199,7 @@
 ./usr/libdata/perl5/unicore/lib/GCB/LVT.pl
 ./usr/libdata/perl5/unicore/lib/GCB/PP.pl
 ./usr/libdata/perl5/unicore/lib/GCB/SM.pl
+./usr/libdata/perl5/unicore/lib/GCB/V.pl
 ./usr/libdata/perl5/unicore/lib/GCB/XX.pl
 ./usr/libdata/perl5/unicore/lib/Gc
 ./usr/libdata/perl5/unicore/lib/Gc/C.pl
@@ -2226,6 +2246,10 @@
 ./usr/libdata/perl5/unicore/lib/Hyphen/T.pl
 ./usr/libdata/perl5/unicore/lib/IDC
 ./usr/libdata/perl5/unicore/lib/IDC/Y.pl
+./usr/libdata/perl5/unicore/lib/IDCMContinue
+./usr/libdata/perl5/unicore/lib/IDCMContinue/Y.pl
+./usr/libdata/perl5/unicore/lib/IDCMStart
+./usr/libdata/perl5/unicore/lib/IDCMStart/Y.pl
 ./usr/libdata/perl5/unicore/lib/IDS
 ./usr/libdata/perl5/unicore/lib/IDS/Y.pl
 ./usr/libdata/perl5/unicore/lib/IdStatus
@@ -2253,6 +2277,8 @@
 ./usr/libdata/perl5/unicore/lib/In/13_0.pl
 ./usr/libdata/perl5/unicore/lib/In/14_0.pl
 ./usr/libdata/perl5/unicore/lib/In/15_0.pl
+./usr/libdata/perl5/unicore/lib/In/15_1.pl
+./usr/libdata/perl5/unicore/lib/In/16_0.pl
 ./usr/libdata/perl5/unicore/lib/In/2_0.pl
 ./usr/libdata/perl5/unicore/lib/In/2_1.pl
 ./usr/libdata/perl5/unicore/lib/In/3_0.pl
@@ -2270,6 +2296,11 @@
 ./usr/libdata/perl5/unicore/lib/In/7_0.pl
 ./usr/libdata/perl5/unicore/lib/In/8_0.pl
 ./usr/libdata/perl5/unicore/lib/In/9_0.pl
+./usr/libdata/perl5/unicore/lib/InCB
+./usr/libdata/perl5/unicore/lib/InCB/Consonan.pl
+./usr/libdata/perl5/unicore/lib/InCB/Extend.pl
+./usr/libdata/perl5/unicore/lib/InCB/Linker.pl
+./usr/libdata/perl5/unicore/lib/InCB/None.pl
 ./usr/libdata/perl5/unicore/lib/InPC
 ./usr/libdata/perl5/unicore/lib/InPC/Bottom.pl
 ./usr/libdata/perl5/unicore/lib/InPC/BottomAn.pl
@@ -2340,12 +2371,16 @@
 ./usr/libdata/perl5/unicore/lib/Jt/U.pl
 ./usr/libdata/perl5/unicore/lib/Lb
 ./usr/libdata/perl5/unicore/lib/Lb/AI.pl
+./usr/libdata/perl5/unicore/lib/Lb/AK.pl
 ./usr/libdata/perl5/unicore/lib/Lb/AL.pl
+./usr/libdata/perl5/unicore/lib/Lb/AP.pl
+./usr/libdata/perl5/unicore/lib/Lb/AS.pl
 ./usr/libdata/perl5/unicore/lib/Lb/BA.pl
 ./usr/libdata/perl5/unicore/lib/Lb/BB.pl
 ./usr/libdata/perl5/unicore/lib/Lb/CJ.pl
 ./usr/libdata/perl5/unicore/lib/Lb/CL.pl
 ./usr/libdata/perl5/unicore/lib/Lb/CM.pl
+./usr/libdata/perl5/unicore/lib/Lb/CP.pl
 ./usr/libdata/perl5/unicore/lib/Lb/EX.pl
 ./usr/libdata/perl5/unicore/lib/Lb/GL.pl
 ./usr/libdata/perl5/unicore/lib/Lb/ID.pl
@@ -2358,9 +2393,12 @@
 ./usr/libdata/perl5/unicore/lib/Lb/PR.pl
 ./usr/libdata/perl5/unicore/lib/Lb/QU.pl
 ./usr/libdata/perl5/unicore/lib/Lb/SA.pl
+./usr/libdata/perl5/unicore/lib/Lb/VI.pl
 ./usr/libdata/perl5/unicore/lib/Lb/XX.pl
 ./usr/libdata/perl5/unicore/lib/Lower
 ./usr/libdata/perl5/unicore/lib/Lower/Y.pl
+./usr/libdata/perl5/unicore/lib/MCM
+./usr/libdata/perl5/unicore/lib/MCM/Y.pl
 ./usr/libdata/perl5/unicore/lib/Math
 ./usr/libdata/perl5/unicore/lib/Math/Y.pl
 ./usr/libdata/perl5/unicore/lib/NFCQC
@@ -2494,11 +2532,13 @@
 ./usr/libdata/perl5/unicore/lib/STerm/Y.pl
 ./usr/libdata/perl5/unicore/lib/Sc
 ./usr/libdata/perl5/unicore/lib/Sc/Arab.pl
+./usr/libdata/perl5/unicore/lib/Sc/Armn.pl
 ./usr/libdata/perl5/unicore/lib/Sc/Beng.pl
 ./usr/libdata/perl5/unicore/lib/Sc/Cprt.pl
 ./usr/libdata/perl5/unicore/lib/Sc/Cyrl.pl
 ./usr/libdata/perl5/unicore/lib/Sc/Deva.pl
 ./usr/libdata/perl5/unicore/lib/Sc/Dupl.pl
+./usr/libdata/perl5/unicore/lib/Sc/Ethi.pl
 ./usr/libdata/perl5/unicore/lib/Sc/Geor.pl
 ./usr/libdata/perl5/unicore/lib/Sc/Glag.pl
 ./usr/libdata/perl5/unicore/lib/Sc/Gong.pl
@@ -2509,6 +2549,7 @@
 ./usr/libdata/perl5/unicore/lib/Sc/Guru.pl
 ./usr/libdata/perl5/unicore/lib/Sc/Han.pl
 ./usr/libdata/perl5/unicore/lib/Sc/Hang.pl
+./usr/libdata/perl5/unicore/lib/Sc/Hebr.pl
 ./usr/libdata/perl5/unicore/lib/Sc/Hira.pl
 ./usr/libdata/perl5/unicore/lib/Sc/Kana.pl
 ./usr/libdata/perl5/unicore/lib/Sc/Knda.pl
@@ -2518,22 +2559,30 @@
 ./usr/libdata/perl5/unicore/lib/Sc/Mlym.pl
 ./usr/libdata/perl5/unicore/lib/Sc/Mong.pl
 ./usr/libdata/perl5/unicore/lib/Sc/Mult.pl
+./usr/libdata/perl5/unicore/lib/Sc/Mymr.pl
 ./usr/libdata/perl5/unicore/lib/Sc/Orya.pl
 ./usr/libdata/perl5/unicore/lib/Sc/Sinh.pl
 ./usr/libdata/perl5/unicore/lib/Sc/Syrc.pl
 ./usr/libdata/perl5/unicore/lib/Sc/Taml.pl
+./usr/libdata/perl5/unicore/lib/Sc/Tang.pl
 ./usr/libdata/perl5/unicore/lib/Sc/Telu.pl
+./usr/libdata/perl5/unicore/lib/Sc/Tibt.pl
+./usr/libdata/perl5/unicore/lib/Sc/Tutg.pl
 ./usr/libdata/perl5/unicore/lib/Sc/Zinh.pl
 ./usr/libdata/perl5/unicore/lib/Sc/Zyyy.pl
 ./usr/libdata/perl5/unicore/lib/Scx
 ./usr/libdata/perl5/unicore/lib/Scx/Adlm.pl
+./usr/libdata/perl5/unicore/lib/Scx/Aghb.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Arab.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Armn.pl
+./usr/libdata/perl5/unicore/lib/Scx/Avst.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Beng.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Bhks.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Bopo.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Cakm.pl
+./usr/libdata/perl5/unicore/lib/Scx/Cari.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Cham.pl
+./usr/libdata/perl5/unicore/lib/Scx/Cher.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Copt.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Cprt.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Cyrl.pl
@@ -2541,10 +2590,12 @@
 ./usr/libdata/perl5/unicore/lib/Scx/Diak.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Dupl.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Ethi.pl
+./usr/libdata/perl5/unicore/lib/Scx/Gara.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Geor.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Glag.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Gong.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Gonm.pl
+./usr/libdata/perl5/unicore/lib/Scx/Goth.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Gran.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Grek.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Gujr.pl
@@ -2555,6 +2606,7 @@
 ./usr/libdata/perl5/unicore/lib/Scx/Hira.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Hmng.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Hmnp.pl
+./usr/libdata/perl5/unicore/lib/Scx/Hung.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Kana.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Khar.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Khmr.pl
@@ -2567,6 +2619,9 @@
 ./usr/libdata/perl5/unicore/lib/Scx/Limb.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Lina.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Linb.pl
+./usr/libdata/perl5/unicore/lib/Scx/Lisu.pl
+./usr/libdata/perl5/unicore/lib/Scx/Lydi.pl
+./usr/libdata/perl5/unicore/lib/Scx/Mahj.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Mlym.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Mong.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Mult.pl
@@ -2574,21 +2629,30 @@
 ./usr/libdata/perl5/unicore/lib/Scx/Nand.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Nko.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Orya.pl
+./usr/libdata/perl5/unicore/lib/Scx/Osge.pl
+./usr/libdata/perl5/unicore/lib/Scx/Perm.pl
+./usr/libdata/perl5/unicore/lib/Scx/Phag.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Phlp.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Rohg.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Shrd.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Sind.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Sinh.pl
+./usr/libdata/perl5/unicore/lib/Scx/Sunu.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Syrc.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Tagb.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Takr.pl
+./usr/libdata/perl5/unicore/lib/Scx/Tale.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Talu.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Taml.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Tang.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Telu.pl
+./usr/libdata/perl5/unicore/lib/Scx/Tfng.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Thaa.pl
+./usr/libdata/perl5/unicore/lib/Scx/Thai.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Tibt.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Tirh.pl
+./usr/libdata/perl5/unicore/lib/Scx/Todr.pl
+./usr/libdata/perl5/unicore/lib/Scx/Tutg.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Vith.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Xsux.pl
 ./usr/libdata/perl5/unicore/lib/Scx/Yezi.pl
@@ -2626,6 +2690,10 @@
 ./usr/libdata/perl5/unicore/lib/XIDC/Y.pl
 ./usr/libdata/perl5/unicore/lib/XIDS
 ./usr/libdata/perl5/unicore/lib/XIDS/Y.pl
+./usr/libdata/perl5/unicore/lib/kEHNoMirror
+./usr/libdata/perl5/unicore/lib/kEHNoMirror/Y.pl
+./usr/libdata/perl5/unicore/lib/kEHNoRotate
+./usr/libdata/perl5/unicore/lib/kEHNoRotate/Y.pl
 ./usr/libdata/perl5/unicore/uni_keywords.pl
 ./usr/libdata/perl5/unicore/version
 ./usr/libdata/perl5/utf8.pm
Index: distrib/sets/lists/man/mi
===================================================================
RCS file: /cvs/src/distrib/sets/lists/man/mi,v
diff -u -p -r1.1749 mi
--- distrib/sets/lists/man/mi	13 Aug 2025 05:28:19 -0000	1.1749
+++ distrib/sets/lists/man/mi	4 Sep 2025 00:34:03 -0000
@@ -259,7 +259,12 @@
 ./usr/share/man/man1/perl5380delta.1
 ./usr/share/man/man1/perl5381delta.1
 ./usr/share/man/man1/perl5382delta.1
+./usr/share/man/man1/perl5383delta.1
+./usr/share/man/man1/perl5384delta.1
 ./usr/share/man/man1/perl5400delta.1
+./usr/share/man/man1/perl5401delta.1
+./usr/share/man/man1/perl5402delta.1
+./usr/share/man/man1/perl5420delta.1
 ./usr/share/man/man1/perl561delta.1
 ./usr/share/man/man1/perl56delta.1
 ./usr/share/man/man1/perl581delta.1
@@ -695,6 +700,7 @@
 ./usr/share/man/man3p/ExtUtils::ParseXS.3p
 ./usr/share/man/man3p/ExtUtils::ParseXS::Constants.3p
 ./usr/share/man/man3p/ExtUtils::ParseXS::Eval.3p
+./usr/share/man/man3p/ExtUtils::ParseXS::Node.3p
 ./usr/share/man/man3p/ExtUtils::ParseXS::Utilities.3p
 ./usr/share/man/man3p/ExtUtils::Typemaps.3p
 ./usr/share/man/man3p/ExtUtils::Typemaps::Cmd.3p
@@ -743,6 +749,7 @@
 ./usr/share/man/man3p/I18N::LangTags::List.3p
 ./usr/share/man/man3p/I18N::Langinfo.3p
 ./usr/share/man/man3p/IO.3p
+./usr/share/man/man3p/IO::Compress.3p
 ./usr/share/man/man3p/IO::Compress::Base.3p
 ./usr/share/man/man3p/IO::Compress::Bzip2.3p
 ./usr/share/man/man3p/IO::Compress::Deflate.3p
@@ -908,6 +915,7 @@
 ./usr/share/man/man3p/Pod::Usage.3p
 ./usr/share/man/man3p/SDBM_File.3p
 ./usr/share/man/man3p/Safe.3p
+./usr/share/man/man3p/Scalar::List::Utils.3p
 ./usr/share/man/man3p/Scalar::Util.3p
 ./usr/share/man/man3p/Search::Dict.3p
 ./usr/share/man/man3p/SelectSaver.3p
@@ -1018,6 +1026,7 @@
 ./usr/share/man/man3p/Test2::Compare::String.3p
 ./usr/share/man/man3p/Test2::Compare::Undef.3p
 ./usr/share/man/man3p/Test2::Compare::Wildcard.3p
+./usr/share/man/man3p/Test2::Env.3p
 ./usr/share/man/man3p/Test2::Event.3p
 ./usr/share/man/man3p/Test2::Event::Bail.3p
 ./usr/share/man/man3p/Test2::Event::Diag.3p
@@ -1061,13 +1070,13 @@
 ./usr/share/man/man3p/Test2::Manual::Anatomy.3p
 ./usr/share/man/man3p/Test2::Manual::Anatomy::API.3p
 ./usr/share/man/man3p/Test2::Manual::Anatomy::Context.3p
+./usr/share/man/man3p/Test2::Manual::Anatomy::EndToEnd.3p
 ./usr/share/man/man3p/Test2::Manual::Anatomy::Event.3p
 ./usr/share/man/man3p/Test2::Manual::Anatomy::Hubs.3p
 ./usr/share/man/man3p/Test2::Manual::Anatomy::IPC.3p
 ./usr/share/man/man3p/Test2::Manual::Anatomy::Utilities.3p
 ./usr/share/man/man3p/Test2::Manual::Concurrency.3p
 ./usr/share/man/man3p/Test2::Manual::Contributing.3p
-./usr/share/man/man3p/Test2::Manual::EndToEnd.3p
 ./usr/share/man/man3p/Test2::Manual::Testing.3p
 ./usr/share/man/man3p/Test2::Manual::Testing::Introduction.3p
 ./usr/share/man/man3p/Test2::Manual::Testing::Migrating.3p
@@ -1137,6 +1146,7 @@
 ./usr/share/man/man3p/Test2::Util::HashBase.3p
 ./usr/share/man/man3p/Test2::Util::Importer.3p
 ./usr/share/man/man3p/Test2::Util::Ref.3p
+./usr/share/man/man3p/Test2::Util::Sig.3p
 ./usr/share/man/man3p/Test2::Util::Stash.3p
 ./usr/share/man/man3p/Test2::Util::Sub.3p
 ./usr/share/man/man3p/Test2::Util::Table.3p
@@ -1153,7 +1163,6 @@
 ./usr/share/man/man3p/Test2::Workflow::Task::Group.3p
 ./usr/share/man/man3p/Test::Builder.3p
 ./usr/share/man/man3p/Test::Builder::Formatter.3p
-./usr/share/man/man3p/Test::Builder::IO::Scalar.3p
 ./usr/share/man/man3p/Test::Builder::Module.3p
 ./usr/share/man/man3p/Test::Builder::Tester.3p
 ./usr/share/man/man3p/Test::Builder::Tester::Color.3p
@@ -1253,6 +1262,7 @@
 ./usr/share/man/man3p/re.3p
 ./usr/share/man/man3p/sigtrap.3p
 ./usr/share/man/man3p/sort.3p
+./usr/share/man/man3p/source::encoding.3p
 ./usr/share/man/man3p/stable.3p
 ./usr/share/man/man3p/strict.3p
 ./usr/share/man/man3p/subs.3p
